import Fill from "ol/style/Fill";
import { FlatStyleLike } from "ol/style/flat";
import Stroke from "ol/style/Stroke";
import Style from "ol/style/Style";

const drawingLayerStyle: FlatStyleLike = {
    'fill-color': 'rgba(255, 255, 255, 0.2)',
    //'stroke-color': '#ffcc33',
    'stroke-color': '#000000',
    'stroke-width': 2,
    'circle-radius': 7,
    'circle-fill-color': '#ffcc33',
}

const selectStyle = new Style({
    fill: new Fill({
        color: 'rgba(0, 0, 255, 0.3)',
    }),
    stroke: new Stroke({
        color: 'rgba(255, 255, 255, 0.7)',
        width: 2,
    }),
})

const regionsLayerStyle = new Style({
    stroke: new Stroke({
        color: 'blue',
        width: 1,
    }),
    fill: new Fill({
        color: 'rgba(0, 0, 255, 0.1)',
    }),
})

export {
    drawingLayerStyle,
    selectStyle,
    regionsLayerStyle
}